package com.fs.watch.mapper;


import com.fs.watch.domain.WatchBeginnerGuide;

import java.util.List;

/**
 * 新手引导Mapper接口
 *
 * @author fs
 * @date 2024-09-06
 */
public interface WatchBeginnerGuideMapper
{
    /**
     * 查询新手引导
     *
     * @param id 新手引导主键
     * @return 新手引导
     */
    public WatchBeginnerGuide selectWatchBeginnerGuideById(Long id);

    /**
     * 查询新手引导列表
     *
     * @param WatchBeginnerGuide 新手引导
     * @return 新手引导集合
     */
    public List<WatchBeginnerGuide> selectWatchBeginnerGuideList(WatchBeginnerGuide WatchBeginnerGuide);

    /**
     * 新增新手引导
     *
     * @param WatchBeginnerGuide 新手引导
     * @return 结果
     */
    public int insertWatchBeginnerGuide(WatchBeginnerGuide WatchBeginnerGuide);

    /**
     * 修改新手引导
     *
     * @param WatchBeginnerGuide 新手引导
     * @return 结果
     */
    public int updateWatchBeginnerGuide(WatchBeginnerGuide WatchBeginnerGuide);

    /**
     * 删除新手引导
     *
     * @param id 新手引导主键
     * @return 结果
     */
    public int deleteWatchBeginnerGuideById(Long id);

    /**
     * 批量删除新手引导
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWatchBeginnerGuideByIds(Long[] ids);
}
